"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getPatchInfo = void 0;
function getPatchInfo(patchedDependencies, pkgName, pkgVersion) {
    if (!patchedDependencies)
        return undefined;
    const pkgNameAndVersion = `${pkgName}@${pkgVersion}`;
    if (patchedDependencies[pkgNameAndVersion]) {
        return {
            file: patchedDependencies[pkgNameAndVersion],
            key: pkgNameAndVersion,
            strict: true,
        };
    }
    if (patchedDependencies[pkgName]) {
        return {
            file: patchedDependencies[pkgName],
            key: pkgName,
            strict: false,
        };
    }
    return undefined;
}
exports.getPatchInfo = getPatchInfo;
//# sourceMappingURL=index.js.map